Bug 95193 - Wrong bookmarks in Impress PDF export with notes pages, notes not bookmarked but slides bookmarks doubled
Summary: Wrong bookmarks in Impress PDF export with notes pages, notes not bookmarked ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2015-10-20 09:25 UTC by sergio.callegari
Modified: 2019-03-20 03:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test case to reproduce the issue (11.96 KB, application/vnd.oasis.opendocument.presentation)
2015-10-20 09:25 UTC, sergio.callegari
Details
PDF file with wrong bookmarks (19.24 KB, application/pdf)
2015-10-20 09:26 UTC, sergio.callegari
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sergio.callegari 2015-10-20 09:25:55 UTC
Created attachment 119776 [details]
Test case to reproduce the issue

When you export some impress slides to PDF and ask the exporter to include notes pages, the bookmarks included in the PDF file are wrong.

Try the following:

- Open a presentation
- File -> Export as PDF...
- Set the export options "Export Bookmarks" (so you get bookmarks) and "Export notes pages"
- Do the PDF export
- Check the PDF file with a viewer, let the viewer show you the Bookmark links (e.g.: with Acroread 9, "View->Navigation Panels->Bookmarks"; with Okular: activate navigation panel from Settings menu and then press the "Contents" button; etc.).

See how the bookmarks are "Slide 1, Slide 2,...", followed again by "Slide 1, Slide 2,...", with the "Slide n" in the second set pointing to the n-th slide exactly like the "Slide n" in the first set. In other words, if your presentation has N slides, then the PDF contains 2N pages (N slides + N notes pages). The first "Slide n" points at page n and the second "Slide n" again points at page n. 

This is wrong.  The bookmarks should be "Slide 1, Slide 2,...", followed by "Notes 1, Notes 2,..." with "Notes n" pointing to the n-th *Notes* page and "Slide n" pointing to the n-th slide. In other words, with an N slide presentation and a 2N pages PDF as above, "Slide n" should point to page n and "Notes n" should point to page N+n.

The current wrong behavior gets particularly weird when, after having exported the slides and the notes pages you may want to use some PDF toolkit to separate the slides pages from the notes pages by breaking the PDF file in two files. In this case, you get a slides PDF file with two bookmarks per page and a notes PDF file with no bookmarks at all.

Please see the attached documents for an example of the wrong behavior.
Comment 1 sergio.callegari 2015-10-20 09:26:35 UTC
Created attachment 119777 [details]
PDF file with wrong bookmarks
Comment 2 Buovjaga 2015-10-21 15:12:03 UTC
Reproduced.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 3 Ben Aceler 2016-04-14 13:40:50 UTC
Reproduced every time. Ubuntu 14.04, LibreOffice 5.1.2~rc2, but reproducible on the earlier versions of LibreOffice too.
Comment 4 QA Administrators 2019-03-20 03:49:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug